#  ==========================================================================
#  Copyright 2006..., TBD. Romania.  t b d @ p l u g i n s . r o
#  ALL RIGHTS RESERVED BY AUTHOR & HIS COMPANY
#
#  Permission to use this software for non-commercial use is granted.
#  The above copyright notice must appear in all copies.
#
#  Privilage to use this software for commercial purposes is subject
#  to license agreement. Contact the author.
#
#  THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
#  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#  USE OF THIS SOFTWARE IS AT USER'S DESCRETION. IN NO EVENT SHALL THE
#  AUTHOR BE LIABLE FOR ANY CLAIMS OR DAMAGES ARRISING FROM SUCH USE.
#  ==========================================================================
#
#  history: 1.1 (09.Sep.2006) - allow only one instance of Sketchup Bridge
#           1.0 (13.Apr.2006) - initial version
#
#  ==========================================================================
#
#  bridge_ext.rb is the Extension Registration script for SketchUp Bridge.
#
#  1) Place a copy of this file in the Plugins folder of any Sketchup ver 5+.
#     You may place a copy of this file in EACH of the plugins folders for
#     every one of the Sketchup versions you have installed.
#
#  2) Place the 'TBD/SU_Bridge' folders (with it's files,) someplace where
#     this this extension script can find it.
#     a) A separate copy in each one of your Sketchup "Plugins" folders.
#     OR
#     b) A single copy under the "%ProgramFiles%/Google" folder.
#

unless RUBY_PLATFORM.include?('darwin') # Do NOT load if on an Apple Mac!

  require 'sketchup.rb'
  require 'extensions.rb'

  #  ------------------------------------------------------------------------
  #
  #  Setup this Extension
  #

  # check path vars:
  #
  loader='bridge_load.rb'
  subdir='TBD/SU_Bridge'.downcase
  found=false

  # find the path

  unless found
    #
    # 1) Check for subfolders under the path of THIS file.
    #
    testpath = File.expand_path(File.dirname(__FILE__))
    if found = FileTest.file?(File.join(testpath,subdir,loader))
      $LOAD_PATH.include?(testpath) ? path=File.join(subdir,loader) : path=File.join(testpath,subdir,loader)
    end
  end
  
  unless found
    #
    # 2) Check for common folder under Google folder
    #    Will automatically find the "%ProgramFiles(x86)%/Google" path on 64bit systems.
    #
    testpath = File.dirname(File.dirname(Sketchup.find_support_file('sketchup.exe')))
    if found = FileTest.file?(File.join(testpath,subdir,loader))
      $LOAD_PATH.include?(testpath) ? path=File.join(subdir,loader) : path=File.join(testpath,subdir,loader)
    end
  end

  #  ------------------------------------------------------------------------
  #
  #  Instantiate this Extension
  #

  bridge_ext = SketchupExtension.new('name',path)
    
  #bridge_ext.path='C:/Program Files/Google/SU_Bridge/bridge_load.rb'

  bridge_ext.name='UTIL: Execution Bridge for Win32 Sketchup'
  bridge_ext.version='1.1 (09.Sep.2006)'
  bridge_ext.creator='Tavi (TBD), Romania'
  bridge_ext.copyright='2006... TBD. http://plugins.ro'
  bridge_ext.description="Allows external Ruby code to be executed inside SketchUp (Windows only).\nSee readme.txt file in SU_Bridge folder for usage information."

  #  ------------------------------------------------------------------------
  #
  #  Register this Extension with the Sketchup Extension Manager
  #

  Sketchup.register_extension( bridge_ext, true )

end # unless on a Mac.
#  ==========================================================================
